Main Page Modules Class Hierarchy Data Structures File List Data Fields Globals Related Pages

# OsclUDPSocketI Class Reference

`#include <oscl_udp_socket.h>`

Inheritance diagram for OsclUDPSocketI:

## Public Methods
virtual | ~OsclUDPSocketI ()
int32 | Close ()
int32 | JoinMulticastGroup (OsclIpMReq &aMReq)
int32 | SetMulticastTTL (int32 aTTL)
uint8 * | GetRecvData (int32 *aLength)
uint8 * | GetSendData (int32 *aLength)
TPVSocketEvent | ThreadLogoff ()
TPVSocketEvent | ThreadLogon (OsclSocketServI *aServ, OsclSocketObserver *aObserver)
TPVSocketEvent | BindAsync (OsclNetworkAddress &aAddress, int32 aTimeoutMsec=-1)
void | CancelBind ()
TPVSocketEvent | SendTo (const uint8 *&aPtr, uint32 aLen, OsclNetworkAddress &aAddress, int32 aTimeoutMsec=-1)
void | CancelSendTo ()
TPVSocketEvent | RecvFrom (uint8 *&aPtr, uint32 aMaxLen, OsclNetworkAddress &aAddress, int32 aTimeoutMsec=-1, uint32 aMultiMaxLen=0, Oscl_Vector< uint32, OsclMemAllocator > *aPacketLen=NULL, Oscl_Vector< OsclNetworkAddress, OsclMemAllocator > *aPacketSource=NULL)
void | CancelRecvFrom ()
## Static Public Methods
OsclUDPSocketI * | NewL (Oscl_DefAlloc &a, OsclSocketServI *aServ, OsclSocketObserver *aObserver, uint32 aId)

## Detailed Description

Internal implementation class for OsclUDPSocket

## Constructor & Destructor Documentation

virtual OsclUDPSocketI::~OsclUDPSocketI | ( |  | ) | `[virtual]`

## Member Function Documentation

TPVSocketEvent OsclUDPSocketI::BindAsync | ( | OsclNetworkAddress & | aAddress,
|  | int32 | aTimeoutMsec = -1
| ) | `[inline]`

void OsclUDPSocketI::CancelBind | ( |  | ) | `[inline]`

void OsclUDPSocketI::CancelRecvFrom | ( |  | ) | `[inline]`

void OsclUDPSocketI::CancelSendTo | ( |  | ) | `[inline]`

int32 OsclUDPSocketI::Close | ( |  | ) | `[virtual]`

| Implements OsclIPSocketI.

uint8 * OsclUDPSocketI::GetRecvData | ( | int32 * | aLength | ) | `[inline, virtual]`

| Implements OsclIPSocketI.

uint8 * OsclUDPSocketI::GetSendData | ( | int32 * | aLength | ) | `[inline, virtual]`

| Implements OsclIPSocketI.

int32 OsclUDPSocketI::JoinMulticastGroup | ( | OsclIpMReq & | aMReq | ) |

OsclUDPSocketI* OsclUDPSocketI::NewL | ( | Oscl_DefAlloc & | a,
|  | OsclSocketServI * | aServ,
|  | OsclSocketObserver * | aObserver,
|  | uint32 | aId
| ) | `[static]`

TPVSocketEvent OsclUDPSocketI::RecvFrom | ( | uint8 *& | aPtr,
|  | uint32 | aMaxLen,
|  | OsclNetworkAddress & | aAddress,
|  | int32 | aTimeoutMsec = -1,
|  | uint32 | aMultiMaxLen = 0,
|  | Oscl_Vector< uint32, OsclMemAllocator > * | aPacketLen = NULL,
|  | Oscl_Vector< OsclNetworkAddress, OsclMemAllocator > * | aPacketSource = NULL
| ) | `[inline]`

TPVSocketEvent OsclUDPSocketI::SendTo | ( | const uint8 *& | aPtr,
|  | uint32 | aLen,
|  | OsclNetworkAddress & | aAddress,
|  | int32 | aTimeoutMsec = -1
| ) | `[inline]`

int32 OsclUDPSocketI::SetMulticastTTL | ( | int32 | aTTL | ) |

TPVSocketEvent OsclUDPSocketI::ThreadLogoff | ( |  | ) |

| Reimplemented from OsclIPSocketI.

TPVSocketEvent OsclUDPSocketI::ThreadLogon | ( | OsclSocketServI * | aServ,
|  | OsclSocketObserver * | aObserver
| ) |

The documentation for this class was generated from the following file:

- oscl_udp_socket.h